<?php

/**
 * @file
 * Page callbacks for the Editor CKEditor Test module.
 */

/**
 * Form callback: Tests delivery of CSS to CKEditor via AJAX.
 */
function editor_ckeditor_test_test_ajax_css_form($form, &$form_state) {
  // Create an inline and iframe CKEditor instance so we can test against
  // both.
  $form['inline'] = array(
    '#type' => 'container',
    '#attached' => array(
      'library' => array(
        array('editor_ckeditor_test', 'ajax_css'),
      ),
    ),
    '#children' => t('Here be dragons.'),
  );
  $form['iframe'] = array(
    '#type' => 'text_format',
    '#default_value' => t('Here be llamas.'),
  );

  // A pair of buttons to trigger the AJAX events.
  $form['actions'] = array(
    'css_inline' => array(
      '#type' => 'submit',
      '#value' => t('Add CSS to inline CKEditor instance'),
      '#ajax' => array(
        'callback' => 'editor_ckeditor_test_add_css_inline',
      ),
    ),
    'css_frame' => array(
      '#type' => 'submit',
      '#value' => t('Add CSS to iframe CKEditor instance'),
      '#ajax' => array(
        'callback' => 'editor_ckeditor_test_add_css_iframe',
      ),
    ),
    '#type' => 'actions',
  );

  return $form;
}
