<?php

/**
 * @file
 * Defines the "drupalimage" plugin.
 */

/**
 * Config callback for the 'drupalimage' plugin.
 *
 * @param object $format
 *  A text format object.
 *
 * @return array
 *   An associative array of configuration settings.
 */
function editor_ckeditor_drupalimage_config($format) {
  // Create a token for access to dialogs.
  $image_token = editor_dialog_token($format, 'image');

  return array(
    'drupalImage_dialogTitleAdd' => t('Insert Image'),
    'drupalImage_dialogTitleEdit' => t('Edit Image'),
    'drupalImage_dialogUrl' => url('editor/dialog/image/'. $format->format, array('query' => array(DIALOG_WRAPPER_FORMAT => 'drupal_modal', 'token' => $image_token, 'calling_path' => $_GET['q']))),
  );
}

/**
 * Settings form for the "drupalimage" CKEditor plugin.
 */
function editor_ckeditor_drupalimage_settings_form ($form, &$form_state, $format) {
  form_load_include($form_state, 'inc', 'editor', 'editor.admin');
  $form['image_upload'] = editor_image_upload_settings_form($format);
  $form['image_upload']['#attached']['library'][] = array('editor_ckeditor', 'editor_ckeditor.drupalimage.admin');
  $form['image_upload']['#element_validate'][] = 'editor_ckeditor_drupalimage_validate_image_upload_settings';
  return $form;
}
