<?php

/**
 * @file
 * Defines the "drupallink" plugin.
 */

/**
 * Config callback for the 'drupallink' plugin.
 *
 * @param object $format
 *  A text format object.
 *
 * @return array
 *   An associative array of configuration settings.
 */
function editor_ckeditor_drupallink_config($format) {
  // Create a token for access to dialogs.
  $link_token = editor_dialog_token($format, 'link');

  return array(
    'drupalLink_dialogTitleAdd' => t('Add Link'),
    'drupalLink_dialogTitleEdit' => t('Edit Link'),
    'drupalLink_dialogUrl' => url('editor/dialog/link/' . $format->format, array('query' => array(DIALOG_WRAPPER_FORMAT => 'drupal_modal', 'token' => $link_token, 'calling_path' => $_GET['q']))),
  );
}
